Bug 145578 - Upgrade www/grails to version 1.2.2
Summary: Upgrade www/grails to version 1.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-09 17:10 UTC by Jani Kaarela
Modified: 2010-04-22 02:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.65 KB, patch)
2010-04-09 17:10 UTC, Jani Kaarela
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jani Kaarela 2010-04-09 17:10:10 UTC
Please update port to Grails version 1.2.2, thanks!

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-04-09 17:12:48 UTC
Maintainer of www/grails,

Please note that PR ports/145578 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/145578

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-04-09 17:12:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mitchell Smith 2010-04-10 22:01:35 UTC
Hi,

I've reviewed the patch and it looks good, please go ahead and commit it.

Thanks,

Mitch
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-04-10 23:44:44 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Sahil Tandon freebsd_committer 2010-04-16 01:14:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 6 Sahil Tandon freebsd_committer 2010-04-17 15:54:49 UTC
Why does the file name change from set-grails_home.sed to
edit-startGrails.sed?  Is this change really necessary?  And please
confirm the contents of the file are correct.

Thanks,
-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 7 Sahil Tandon freebsd_committer 2010-04-17 16:07:12 UTC
State Changed
From-To: open->feedback

Await maintainer response.
Comment 8 Jani Kaarela 2010-04-18 11:04:12 UTC
On Sat, Apr 17, 2010 at 5:54 PM, Sahil Tandon <sahil@freebsd.org> wrote:
> Why does the file name change from set-grails_home.sed to
> edit-startGrails.sed? =A0Is this change really necessary? =A0And please
> confirm the contents of the file are correct.

Changed the file name because in addition to setting Grails home, it
also fixes a "bashism" in the script. Just thought "set-grails_home"
would be a bit misleading since it does other stuff, too. Doesn't
really matter.

-j
Comment 9 Mitchell Smith 2010-04-18 22:39:22 UTC
Hi,

I am happy for the patch to go in the way it is.

The reason for the filename change seems justified, and the content is on 
the mark.

Cheers,

Mitch

----- Original Message ----- 
From: "Jani Kaarela" <jani.kaarela@gmail.com>
To: "Sahil Tandon" <sahil@freebsd.org>
Cc: <bug-followup@freebsd.org>; <mjs@bur.st>
Sent: Sunday, April 18, 2010 8:04 PM
Subject: Re: ports/145578: Upgrade www/grails to version 1.2.2


On Sat, Apr 17, 2010 at 5:54 PM, Sahil Tandon <sahil@freebsd.org> wrote:
> Why does the file name change from set-grails_home.sed to
> edit-startGrails.sed? Is this change really necessary? And please
> confirm the contents of the file are correct.

Changed the file name because in addition to setting Grails home, it
also fixes a "bashism" in the script. Just thought "set-grails_home"
would be a bit misleading since it does other stuff, too. Doesn't
really matter.

-j
Comment 10 Sahil Tandon freebsd_committer 2010-04-21 03:23:08 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 11 Sahil Tandon freebsd_committer 2010-04-22 02:20:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 12 dfilter service freebsd_committer 2010-04-22 02:20:36 UTC
sahil       2010-04-22 01:17:14 UTC

  FreeBSD ports repository

  Modified files:
    www/grails           Makefile distinfo 
  Added files:
    www/grails/files     edit-startGrails.sed.in 
  Removed files:
    www/grails/files     set-grails_home.sed.in 
  Log:
  - Update to 1.2.2
  
  PR:             ports/145578
  Submitted by:   Jani Kaarela <jani.kaarela@gmail.com>
  Approved by:    Mitchell Smith (maintainer), wxs@ (mentor)
  
  Revision  Changes    Path
  1.10      +3 -3      ports/www/grails/Makefile
  1.8       +3 -3      ports/www/grails/distinfo
  1.1       +7 -0      ports/www/grails/files/edit-startGrails.sed.in (new)
  1.2       +0 -5      ports/www/grails/files/set-grails_home.sed.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"